<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="c12db3a9-44b2-4dd4-acd1-91567e1976b6" name="Changes" comment="Final version for QRate.">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/CTF_QRate.ipynb" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/materials/quantum_chance_eng.txt" beforeDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Jupyter Notebook" />
      </list>
    </option>
  </component>
  <component name="Git.Merge.Settings">
    <option name="BRANCH" value="origin/master" />
  </component>
  <component name="Git.Rebase.Settings">
    <option name="NEW_BASE" value="origin/master" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="UPDATE_TYPE" value="REBASE" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectId" id="2CXKzxfFbKkDenwxM9DS86J1NcO" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;ASKED_SHARE_PROJECT_CONFIGURATION_FILES&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;SHARE_PROJECT_CONFIGURATION_FILES&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable&quot;
  }
}</component>
  <component name="RunManager">
    <configuration name="main" type="PythonConfigurationType" factoryName="Python" nameIsGenerated="true">
      <module name="CTF_QRate" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="D:\ProgramData\Anaconda3\python.exe" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/main.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="c12db3a9-44b2-4dd4-acd1-91567e1976b6" name="Changes" comment="" />
      <created>1658943756060</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1658943756060</updated>
      <workItem from="1658943757668" duration="1882000" />
      <workItem from="1658945666585" duration="3513000" />
      <workItem from="1658949725790" duration="2768000" />
      <workItem from="1658956774507" duration="1637000" />
      <workItem from="1658958438828" duration="17736000" />
      <workItem from="1659096402809" duration="11008000" />
      <workItem from="1659203942794" duration="1113000" />
      <workItem from="1659354110116" duration="7042000" />
      <workItem from="1659368047199" duration="326000" />
      <workItem from="1659368399168" duration="7371000" />
      <workItem from="1660037993491" duration="915000" />
      <workItem from="1660041265952" duration="5810000" />
      <workItem from="1660049427009" duration="404000" />
    </task>
    <task id="LOCAL-00001" summary="Little changes here and there.">
      <created>1659099907221</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1659099907221</updated>
    </task>
    <task id="LOCAL-00002" summary="Little changes here and there.">
      <created>1659100628010</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1659100628010</updated>
    </task>
    <task id="LOCAL-00003" summary="Little changes here and there.">
      <created>1659100635944</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1659100635944</updated>
    </task>
    <task id="LOCAL-00004" summary="Added beginnings of frequency analysis.">
      <created>1659110479703</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1659110479703</updated>
    </task>
    <task id="LOCAL-00005" summary="Compared our frequencies to general known frequencies for english language.">
      <created>1659359917339</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1659359917339</updated>
    </task>
    <task id="LOCAL-00006" summary="Changed xor function so it is actually xor, not equals. Fixed text here and there.">
      <created>1660042130257</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1660042130257</updated>
    </task>
    <task id="LOCAL-00007" summary="El approved!">
      <created>1660046107220</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1660046107220</updated>
    </task>
    <task id="LOCAL-00008" summary="Final version for QRate.">
      <created>1660049196335</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1660049196335</updated>
    </task>
    <option name="localTasksCounter" value="9" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="origin/master" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Little changes here and there." />
    <MESSAGE value="Added beginnings of frequency analysis." />
    <MESSAGE value="Compared our frequencies to general known frequencies for english language." />
    <MESSAGE value="Changed xor function so it is actually xor, not equals. Fixed text here and there." />
    <MESSAGE value="El approved!" />
    <MESSAGE value="Final version for QRate." />
    <option name="LAST_COMMIT_MESSAGE" value="Final version for QRate." />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/CTF_QRate$main.coverage" NAME="main Coverage Results" MODIFIED="1659016157064" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
  </component>
</project>